본문 바로가기
유틸

Sharp Develop(C# 개발환경) 설치시 dependency

by 남성 2017. 2. 12.

윈도우 환경에서 C# 개발시 보통은 Visual Studio 를 사용하곤 한다. 


예전에는 Express 버전을 회사에서 사용했던것 같은데... 


요즘은 라이센스 정책이 어떻게 되는건지 모르겠어서 Visual Studio 를 사용하지 않고 있다.


그래서 Visual Studio 대신에 선택한게 Sharp Develop 이라는 툴이다. 


Sharp Develop 은 아래 주소에서 다운로드 할 수 있다. 


http://www.icsharpcode.net/OpenSource/SD/Download/Default.aspx


위 주소를 보면 2017 년 02 월 09일 현재 Sharp Develop 5 버전까지 나왔는데 5버전은 C# 만 support 한다고 한다. 


나는 Sharp Develop 을 사용하여 C# 코딩만 할 것이므로 이걸 받아도 되겠지만 그냥.. 혹시나 해서 이전 버전인 4.4 버전을 다운로드 했다. 


위 주소를 보면 Sharp Develop 버전별로 Depend 한 프로그램들이 있다.


그 중에서 나는 아래 두 가지 프로그램들을 설치 했다. 


일단 위 주소에 (strongly recommended!)라고 되어 있기도 하고 


현재 내 PC 는 윈도우 7 이고 MATLAB 도 사용하는 지라 C++ 컴파일러가 필요해서 


아래 프로그램을 설치 했다. 


Microsoft Windows SDK for Windows 7 and .NET Framework 4


http://www.microsoft.com/en-us/download/details.aspx?id=8279


그리고 두번째로 아래 프로그램은 잘은 모르겠지만.... 프레임 워크라 나중에 안 깔면 골치 아플까봐.... 그냥 깔았다.


Microsoft .NET Framework 4.5.1 Developer Pack


http://www.microsoft.com/ko-KR/download/details.aspx?id=40772


그 외의 툴 중에 TortoiseSVN 은 원래 사용 중이고... 나머지는 안 깔아도 치명적이지는 않을것 같아서 안 깔았다. 



댓글0